Module | Erubis::ArrayBufferEnhancer
In: | erubis/enhancer.rb

use an Array object as buffer (included in Eruby by default)

this is only for Eruby.

### Methods

add_postamble add_preamble

### Public Instance methods

add_postamble(src)

[Source]

    # File erubis/enhancer.rb, line 191
        def add_postamble(src)
          src << "\n" unless src[-1] == ?\n
          src << "_buf.join\n"
        end

add_preamble(src)

[Source]

    # File erubis/enhancer.rb, line 187
        def add_preamble(src)
          src << "_buf = [];"
        end

[Validate]